Bug 1785613 - Templates Export to git repo is failing with error : <branch> did not find file known to git
Summary: Templates Export to git repo is failing with error : <branch> did not find fi...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Satellite
Classification: Red Hat
Component: Templates Plugin
Version: 6.7.0
Hardware: Unspecified
OS: Unspecified
high
high
Target Milestone: 6.7.0
Assignee: Ondřej Pražák
QA Contact: Jitendra Yejare
URL:
Whiteboard:
Depends On:
Blocks: 1778146
TreeView+ depends on / blocked
 
Reported: 2019-12-20 13:01 UTC by Jitendra Yejare
Modified: 2020-04-14 13:28 UTC (History)
3 users (show)

Fixed In Version: tfm-rubygem-foreman_templates-7.0.6-1
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-04-14 13:28:08 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Foreman Issue Tracker 28716 High Closed Templates Export to empty git repo is failing with error : <branch> did not find file known to git 2020-10-27 03:13:34 UTC
Red Hat Product Errata RHSA-2020:1454 None None None 2020-04-14 13:28:19 UTC

Description Jitendra Yejare 2019-12-20 13:01:16 UTC
Description of problem:
"Export to git {Note: before that, I did purging}" is failing with error :
Error : "git '--git-dir=/tmp/d20191218-16244-1zdqb6/.git' '--work-tree=/tmp/d20191218-16244-1zdqb6' checkout 'master'  2>&1:error: pathspec 'master' did not match any file(s) known to git."

Version-Release number of selected component (if applicable):
Satellite 6.7 snap 6

How reproducible:
Always

Steps to Reproduce:
1. Attempt to export templates from satellite to any git repository. (Make sure you have added foreman public key to the repo already)

Actual results:
"Export to git {Note: before that, I did purging}" is failing with error :
Error : "git '--git-dir=/tmp/d20191218-16244-1zdqb6/.git' '--work-tree=/tmp/d20191218-16244-1zdqb6' checkout 'master'  2>&1:error: pathspec 'master' did not match any file(s) known to git."

Expected results:
The successful template export to Git repo.

Additional info:

Comment 5 Ondřej Pražák 2020-01-10 09:37:17 UTC
Created redmine issue https://projects.theforeman.org/issues/28716 from this bug

Comment 7 Bryan Kearney 2020-01-10 15:06:50 UTC
Upstream bug assigned to oprazak@redhat.com

Comment 8 Bryan Kearney 2020-01-10 15:06:52 UTC
Upstream bug assigned to oprazak@redhat.com

Comment 9 Bryan Kearney 2020-01-13 19:06:35 UTC
Moving this bug to POST for triage into Satellite 6 since the upstream issue https://projects.theforeman.org/issues/28716 has been resolved.

Comment 13 errata-xmlrpc 2020-04-14 13:28:08 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2020:1454


Note You need to log in before you can comment on or make changes to this bug.